ALT Linux Team development discussions
 help / color / mirror / Atom feed
From: Mikhail Zabaluev <mhz@altlinux.org>
To: ALT Devel discussion list <devel@altlinux.ru>
Cc: Eugene Ostapets <eostapets@emt.com.ua>
Subject: Re: [devel] NMU candidate: mozilla
Date: Mon, 26 Sep 2005 10:58:45 +0400
Message-ID: <1127717925.5724.8.camel@localhost.localdomain> (raw)
In-Reply-To: <43377CE8.6020204@emt.com.ua>


[-- Attachment #1.1: Type: text/plain, Size: 829 bytes --]

В Пнд, 26/09/2005 в 07:45 +0300, Eugene Ostapets пишет:
> >В-общем, готово как бы NMU. Если не будет возражений, в ночь на вторник
> >залью в Sisyphus.
> >
> >* Sat Sep 24 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.7.12-alt0.1
> >- Updated to 1.7.12
> >- Changed Patch114: do not force new-tab when opening an URL
> >  in a running browser
> >  
> >
> >
> Возражения есть, ибо я не вижу патча для поддержки новой libcairo, 
> который я долго отлаживал на 1.7.11, не вижу закрытия багов по поводу 
> расположения файлов... Я не залил в пятницу, потому что столкнулся с 
> проблемой миграции существующих настроек... Если ваши патчи не 
> изменинлись к этой версии и если не будет проблем с новой сборкой над 
> которой я работал в выходные, то сегодня я сам залью 1.7.12

Замечательно. Измененный патч приложен.

[-- Attachment #1.2: mozilla-1.7.9-alt-run-mozilla.patch --]
[-- Type: text/x-patch, Size: 3661 bytes --]

--- mozilla/build/unix/run-mozilla.sh.fix	2003-12-15 20:27:28 +0300
+++ mozilla/build/unix/run-mozilla.sh	2005-06-28 22:24:43 +0400
@@ -64,16 +64,21 @@
 ##
 #
 cmdname=`basename "$0"`
 MOZ_DIST_BIN=`dirname "$0"`
 MOZ_DEFAULT_NAME="./${cmdname}-bin"
 MOZ_APPRUNNER_NAME="./mozilla-bin"
 MOZ_VIEWER_NAME="./viewer"
 MOZ_PROGRAM=""
+MOZ_CLIENT_PROGRAM="${MOZ_DIST_BIN}/mozilla-xremote-client"
+MOZ_CLIENT_OPTS=" -a mozilla -u $USER"
+
+ALREADY_RUNNING=""
+RUNS=""
 
 exitcode=0
 #
 ##
 ## Functions
 ##
 ##########################################################################
 moz_usage()
@@ -150,53 +155,78 @@ moz_get_debugger()
 			debugger=$dpath
 			break
 		fi
 	done
 	echo $debugger
 	return 0
 }
 ##########################################################################
+check_running() {
+	"$MOZ_CLIENT_PROGRAM" $MOZ_CLIENT_OPTS 'ping()' 2>/dev/null >/dev/null || return 1
+}
+##########################################################################
+open_mail() {
+  [ "${ALREADY_RUNNING}" -eq "1" ] || { RUNS="$MOZ_PROGRAM $*"; return 0; }
+  RUNS="$MOZ_CLIENT_PROGRAM $MOZ_CLIENT_OPTS xfeDoCommand(openInbox)"
+}
+##########################################################################
+open_compose() {
+  [ "${ALREADY_RUNNING}" -eq "1" ] || { RUNS="$MOZ_PROGRAM $*"; return 0; }
+  RUNS="$MOZ_CLIENT_PROGRAM $MOZ_CLIENT_OPTS xfeDoCommand(composeMessage)"
+}
+##########################################################################
+open_browser() {
+  local opt="$1" && shift ||:
+  [ "${opt#-}" = "$opt" ] || return 0
+  [ "${opt#altbug:}" = "$opt" ] || opt="https://bugzilla.altlinux.org/show_bug.cgi?id=${opt#altbug:}"
+
+  if [ "${ALREADY_RUNNING}" -eq "0" ]; then
+	[ -z "$opt" ] || RUNS="$prog $opt $*"
+	return 0
+  fi
+
+  [ -n "$opt" ] || { RUNS="$MOZ_CLIENT_PROGRAM $MOZ_CLIENT_OPTS xfeDoCommand(openBrowser)"; return 0; }
+  
+  # check to make sure that the command contains at least a :/ in it.
+  if [ "${opt#*:/}" = "$opt" ]; then
+	# if it doesn't begin with a '/' and it exists when the pwd is
+	# prepended to it then append the full path
+	[ "${opt#/}" = "$opt" ] && [ -e "$PWD/$opt" ] && opt="$PWD/$opt"
+	RUNS="$MOZ_CLIENT_PROGRAM $MOZ_CLIENT_OPTS openurl($opt)"
+	return 0
+  fi
+  # just pass it off if it looks like a url
+  RUNS="$MOZ_CLIENT_PROGRAM $MOZ_CLIENT_OPTS openurl($opt)"
+}
+##########################################################################
 moz_run_program()
 {
 	prog=$MOZ_PROGRAM
 	##
 	## Make sure the program is executable
 	##
 	if [ ! -x "$prog" ]
 	then
 		moz_bail "Cannot execute $prog."
 	fi
-	##
-	## Use md5sum to crc a core file.  If md5sum is not found on the system,
-	## then dont debug core files.
-	##
-	moz_test_binary /bin/type
-	if [ $? -eq 1 ]
-	then
-		crc_prog=`type md5sum 2>/dev/null | awk '{print $3;}' 2>/dev/null | sed -e 's/\.$//'`
+
+	check_running && ALREADY_RUNNING=1 || ALREADY_RUNNING=0
+	RUNS=
+
+	if   [ "$1" = "-mail" ]; then
+	    open_mail ${1+"$@"}
+	elif [ "$1" = "-compose" ]; then
+	    open_compose ${1+"$@"}
 	else
-		crc_prog=`which md5sum 2>/dev/null`
+	    open_browser $*
 	fi
-	if [ -x "$crc_prog" ]
-	then
-		DEBUG_CORE_FILES=1
-	fi
-	if [ "$DEBUG_CORE_FILES" ]
-	then
-		crc_old=
-		if [ -f core ]
-		then
-			crc_old=`$crc_prog core | awk '{print $1;}' `
-		fi
-	fi
-	##
-	## Run the program
-	##
-	"$prog" ${1+"$@"}
+
+	[ -n "$RUNS" ] || RUNS="$prog ${1+"$@"}"
+	$RUNS
 	exitcode=$?
 	if [ "$DEBUG_CORE_FILES" ]
 	then
 		if [ -f core ]
 		then
 			crc_new=`$crc_prog core | awk '{print $1;}' `
 		fi
 	fi

[-- Attachment #2: Эта часть сообщения подписана цифровой подписью --]
[-- Type: application/pgp-signature, Size: 189 bytes --]

  reply	other threads:[~2005-09-26  6:58 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2005-09-22 10:42 [devel] Q: Mozilla Mikhail Zabaluev
2005-09-25 21:56 ` [devel] NMU candidate: mozilla Mikhail Zabaluev
2005-09-26  4:45   ` Eugene Ostapets
2005-09-26  6:58     ` Mikhail Zabaluev [this message]
2005-10-03 20:11   ` [devel] mozilla: соприкосновение головы со стеной Mikhail Zabaluev
2005-10-04  6:33     ` [devel] " Vitaly Ostanin
2005-10-04  6:53       ` Eugene Ostapets
2005-10-04  7:21         ` Vitaly Ostanin
2005-10-04  9:28           ` Eugene Ostapets
2005-10-04 11:47             ` Sergey V Turchin
2005-10-04 11:58               ` Eugene Ostapets
2005-10-04 12:05                 ` [devel] [POLICY] Re: mozilla Michael Shigorin
2005-10-04 12:37                   ` Sergey V Turchin
2005-10-04 12:38                     ` Eugene Ostapets
2005-10-04 12:52                     ` [devel] " Michael Shigorin
2005-11-07 13:53                       ` Michael Shigorin
2005-10-04 21:57                 ` [devel] Re: mozilla: соприкосновение головы со стеной Mikhail Zabaluev
2005-10-05  5:40                   ` Eugene Ostapets
2005-10-05  8:26                     ` Vitaly Ostanin
2005-10-04 10:00     ` [devel] Re: mozilla: ну так отойдите от стены Michael Shigorin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1127717925.5724.8.camel@localhost.localdomain \
    --to=mhz@altlinux.org \
    --cc=devel@altlinux.ru \
    --cc=eostapets@emt.com.ua \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

ALT Linux Team development discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/devel/0 devel/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 devel devel/ http://lore.altlinux.org/devel \
		devel@altlinux.org devel@altlinux.ru devel@lists.altlinux.org devel@lists.altlinux.ru devel@linux.iplabs.ru mandrake-russian@linuxteam.iplabs.ru sisyphus@linuxteam.iplabs.ru
	public-inbox-index devel

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.devel


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git